oracle.kv.table

## Interface StringDef

- All Superinterfaces:
    FieldDef

      public interface StringDef
      extends FieldDef

  StringDef is an extension of `FieldDef` to encapsulate a String. It adds a minimum and maximum value range and type.

  Comparisons to minimum and maxium values are done using `String.compareTo(java.lang.String)`.

  Since:
    3.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface oracle.kv.table.FieldDef

      `FieldDef.Type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringDef` | `clone()` Perform a deep copy of this FieldDef instance.
    `String` | `getMax()` Get the maximum value for the string.
    `String` | `getMin()` Get the minimum value for the string.
    `boolean` | `isMaxInclusive()`
    `boolean` | `isMinInclusive()`

    - ### Methods inherited from interface oracle.kv.table.FieldDef

      `asArray, asBinary, asBoolean, asDouble, asEnum, asFixedBinary, asFloat, asInteger, asLong, asMap, asRecord, asString, createArray, createBinary, createBoolean, createDouble, createEnum, createFixedBinary, createFloat, createInteger, createLong, createMap, createRecord, createString, getDescription, getType, isArray, isBinary, isBoolean, isDouble, isEnum, isFixedBinary, isFloat, isInteger, isLong, isMap, isRecord, isString, isType, isValidIndexField, isValidKeyField`

- - ### Method Detail

    - #### getMin

          String getMin()

      Get the minimum value for the string.
      Returns:
        the minimum value for the instance if defined, otherwise null

    - #### getMax

          String getMax()

      Get the maximum value for the string.
      Returns:
        the maximum value for the instance if defined, otherwise null

    - #### isMinInclusive

          boolean isMinInclusive()

      Returns:
        true if the minimum is inclusive. This value is only relevant if `getMin()` returns a non-null value.

    - #### isMaxInclusive

          boolean isMaxInclusive()

      Returns:
        true if the maximum is inclusive. This value is only relevant if `getMax()` returns a non-null value.

    - #### clone

          StringDef clone()

      Description copied from interface: `FieldDef`
      Perform a deep copy of this FieldDef instance.
      Specified by:
        `clone` in interface `FieldDef`
      Returns:
        a deep copy of this object

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.